org.apache.olingo.ext.proxy.utils

## Class ClassUtils

- java.lang.Object
- - org.apache.olingo.ext.proxy.utils.ClassUtils

-     public final class ClassUtils
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Type[]` | `extractGenericType(Class<?> paramType, Class<?>... references)`
    `static Class<?>` | `extractTypeArg(Class<?> paramType, Class<?>... references)`
    `static Method` | `findGetterByAnnotatedName(Class<?> clazz, Class<? extends Annotation> ann, String name)`
    `static <ANN extends Annotation> ANN` | `getAnnotation(Class<ANN> reference, AccessibleObject obj)`
    `static Class<?>` | `getCompoundKeyRef(Class<?> entityTypeRef)`
    `static String` | `getEntityTypeName(Class<?> ref)`
    `static Class<?>` | `getKeyRef(Class<?> entityTypeRef)`
    `static String` | `getNamespace(Class<?> ref)`
    `static Type[]` | `getTypeArguments(Type type)`
    `static <T> Class<T>` | `getTypeClass(Type type)`
    `static Void` | `returnVoid()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### extractGenericType

          public static Type[] extractGenericType(Class<?> paramType,
                                                  Class<?>... references)

    - #### extractTypeArg

          public static Class<?> extractTypeArg(Class<?> paramType,
                                                Class<?>... references)

    - #### findGetterByAnnotatedName

          public static Method findGetterByAnnotatedName(Class<?> clazz,
                                                         Class<? extends Annotation> ann,
                                                         String name)

    - #### getAnnotation

          public static <ANN extends Annotation> ANN getAnnotation(Class<ANN> reference,
                                                                   AccessibleObject obj)

    - #### getCompoundKeyRef

          public static Class<?> getCompoundKeyRef(Class<?> entityTypeRef)

    - #### getKeyRef

          public static Class<?> getKeyRef(Class<?> entityTypeRef)

    - #### getEntityTypeName

          public static String getEntityTypeName(Class<?> ref)

    - #### getNamespace

          public static String getNamespace(Class<?> ref)

    - #### returnVoid

          public static Void returnVoid()
                                 throws NoSuchMethodException,
                                        InstantiationException,
                                        IllegalAccessException,
                                        IllegalArgumentException,
                                        InvocationTargetException

      Throws:
        `NoSuchMethodException`
        `InstantiationException`
        `IllegalAccessException`
        `IllegalArgumentException`
        `InvocationTargetException`

    - #### getTypeArguments

          public static Type[] getTypeArguments(Type type)

    - #### getTypeClass

          public static <T> Class<T> getTypeClass(Type type)

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.